require 'menu'
button={}

function button_spawn(x,y,text,id)
	table.insert(button, {x=x, y=y, text=text, id=id, mouseover=false})
end

function button_draw()

	for i,v in ipairs(button) do

		if (v.mouseover==false) then
			love.graphics.setColor(150,0,0)
		elseif (v.mouseover==true) then
			love.graphics.setColor(0,150,0)
		end

		love.graphics.setFont(decibel)
		love.graphics.print(v.text,v.x,v.y)
		love.graphics.setColor(255,255,255)

	end

end

function button_click(x,y)

	for i,v in ipairs(button) do

		if (x > v.x and
		x < v.x + decibel:getWidth(v.text) and
		y > v.y and
		y < v.y + decibel:getHeight()) then

			if (v.id=='super') then
				new_smash()
			end

		end

	end

end

function button_check()

	for i,v in ipairs(button) do

		if (mouse.x > v.x and
		mouse.x < v.x + decibel:getWidth(v.text) and
		mouse.y > v.y and
		mouse.y < v.y + decibel:getHeight()) then
			v.mouseover=true
		else
			v.mouseover=false
		end

	end

end

